petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetEnumArray

Gets an array of enum values for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetEnumArray(PetscOptions options,const char pre[],const char name[],const char *const *list,PetscEnum dvalue[],PetscInt *nmax,PetscBool *set)

Not Collective Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| pre | - option prefix or NULL Many br
| name | - option name Many br
| list | - array containing the list of choices, followed by the enum name, followed by the enum prefix, followed by a null Many br
| nmax | - maximum number of values to retrieve Many br

### Output Parameters

| dvalue | - the enum values to return Many br
| nmax | - actual number of values retreived Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

### Notes

The array must be passed as a comma separated list. Many br

There must be no intervening spaces between the values. Many br

list is usually something like PCASMTypes or some other predefined list of enum names. Many br

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetEnum(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() Many brPetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), Many brPetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), Many brPetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList(), PetscOptionsGetEList(), PetscOptionsEnum() Many br

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages